Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.amf.testing.ui
Class ATestUiModule

    java.lang.Object
      org.eclipse.xtext.service.AbstractGenericModule
          org.eclipse.xtext.ui.DefaultUiModule
              org.eclipse.amp.amf.testing.ui.AbstractATestUiModule
                  org.eclipse.amp.amf.testing.ui.ATestUiModule

All Implemented Interfaces:
  com.google.inject.Module

    public class ATestUiModule

extends AbstractATestUiModule

Use this class to register components to be used within the IDE.

Constructor Summary
`ATestUiModule(org.eclipse.ui.plugin.AbstractUIPlugin plugin)`

Method Summary

Methods inherited from class org.eclipse.amp.amf.testing.ui.AbstractATestUiModule
`bindContentAssistContext$Factory, bindIContentAssistParser, bindIContentOutlineNodeAdapterFactory, bindIContentProposalProvider, bindIDamagerRepairer, bindILabelProvider, bindIProposalConflictHelper, bindISemanticModelTransformer, bindIssueResolutionProvider, bindITokenScanner, bindIXtextEditorCallback, configureContentAssistLexer, configureContentAssistLexerProvider, configureHighlightingLexer, configureHighlightingTokenDefProvider, configureIResourceDescriptionsBuilderScope, configureResourceUIServiceLabelProvider, provideIAllContainersState`

Methods inherited from class org.eclipse.xtext.ui.DefaultUiModule
`bindAdapterFactory, bindAdapterFactoryLabelProvider, bindComposedAdapterFactory$Descriptor$RegistryToInstance, bindContextTypeRegistry, bindIActionBarContributor, bindIAllContainersState$Provider, bindICompletionProposalPostProcessor, bindIContentAssistantFactory, bindIContentAssistProcessor, bindIContentFormatterFactory, bindIContentOutlineNodeComparer, bindIContentOutlinePage, bindIExternalContentSupport$IExternalContentProvider, bindIHighlightingHelper, bindIHyperlinkDetector, bindIImageHelper, bindIIndentationInformation, bindIOutlineTreeProvider, bindIPreferenceStore, bindIReconciler, bindIResourceForEditorInputFactory, bindIResourceSetProvider, bindISingleLineCommentHelper, bindITemplateProposalProvider, bindTemplateStore, configure, configureBracketMatchingAction, configureContentProposalLabelProvider, configureHyperlinkLabelProvider, configureLanguageSpecificURIEditorOpener, configureOutlineLabelProvider, configureUiEncodingProvider, configureXtextEditorErrorTickUpdater`

Methods inherited from class org.eclipse.xtext.service.AbstractGenericModule
`getBindings`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ATestUiModule

    public ATestUiModule(org.eclipse.ui.plugin.AbstractUIPlugin plugin)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD